summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-01-03 02:25:09 +0000
committerV3n3RiX <venerix@koprulu.sector>2023-01-03 02:25:09 +0000
commit384d032fe7e048bb10cc9bc9881835c92d7e104c (patch)
tree59b969fdecd674b649820312bfa0b0f6043c25a0 /eclass
parent7a13078cb414752df1133d1767cc29260dc60fda (diff)
gentoo auto-resync : 03:01:2023 - 02:25:09
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37366 -> 37361 bytes
-rw-r--r--eclass/s6.eclass48
-rw-r--r--eclass/vala.eclass19
3 files changed, 30 insertions, 37 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index a6550885270b..2985ed5ff557 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/s6.eclass b/eclass/s6.eclass
index 25960ba4a1db..56b321f178f6 100644
--- a/eclass/s6.eclass
+++ b/eclass/s6.eclass
@@ -1,10 +1,10 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: s6.eclass
# @MAINTAINER:
# William Hubbs <williamh@gentoo.org>
-# @SUPPORTED_EAPIS: 5 6 7 8
+# @SUPPORTED_EAPIS: 8
# @BLURB: helper functions to install s6 services
# @DESCRIPTION:
# This eclass provides helpers to install s6 services.
@@ -26,7 +26,7 @@
# @CODE
case ${EAPI} in
- 5|6|7|8) ;;
+ 8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -42,7 +42,7 @@ _s6_get_servicedir() {
# @DESCRIPTION:
# Output the path for the s6 service directory (not including ${D}).
s6_get_servicedir() {
- debug-print-function ${FUNCNAME} "${@}"
+ debug-print-function ${FUNCNAME} "$@"
echo "${EPREFIX}$(_s6_get_servicedir)"
}
@@ -55,22 +55,22 @@ s6_get_servicedir() {
# run is the run script for the service.
# finish is the optional finish script for the service.
s6_install_service() {
- debug-print-function ${FUNCNAME} "${@}"
+ debug-print-function ${FUNCNAME} "$@"
local name="$1"
local run="$2"
local finish="$3"
- [[ $name ]] ||
+ [[ -z ${name} ]] &&
die "${ECLASS}.eclass: you must specify the s6 service name"
- [[ $run ]] ||
+ [[ -z ${run} ]] &&
die "${ECLASS}.eclass: you must specify the s6 service run script"
(
- local servicepath="$(_s6_get_servicedir)/$name"
- exeinto "$servicepath"
- newexe "$run" run
- [[ $finish ]] && newexe "$finish" finish
+ local servicepath="$(_s6_get_servicedir)/${name}"
+ exeinto "${servicepath}"
+ newexe "${run}" run
+ [[ -n ${finish} ]] && newexe "${finish}" finish
)
}
@@ -81,18 +81,17 @@ s6_install_service() {
# default.
# servicename is the name of the service.
s6_service_down() {
- debug-print-function ${FUNCNAME} "${@}"
+ debug-print-function ${FUNCNAME} "$@"
local name="$1"
-
- [[ $name ]] ||
+ [[ -z ${name} ]] &&
die "${ECLASS}.eclass: you must specify the s6 service name"
(
- touch "$T"/down || die
- local servicepath="$(_s6_get_servicedir)/$name"
- insinto "$servicepath"
- doins "$T"/down
+ touch "${T}"/down || die
+ local servicepath="$(_s6_get_servicedir)/${name}"
+ insinto "${servicepath}"
+ doins "${T}"/down
)
}
@@ -103,17 +102,16 @@ s6_service_down() {
# leader.
# servicename is the name of the service.
s6_service_nosetsid() {
- debug-print-function ${FUNCNAME} "${@}"
+ debug-print-function ${FUNCNAME} "$@"
local name="$1"
-
- [[ $name ]] ||
+ [[ -z ${name} ]] &&
die "${ECLASS}.eclass: you must specify the s6 service name"
(
- touch "$T"/nosetsid || die
- local servicepath="$(_s6_get_servicedir)/$name"
- insinto "$servicepath"
- doins "$T"/nosetsid
+ touch "${T}"/nosetsid || die
+ local servicepath="$(_s6_get_servicedir)/${name}"
+ insinto "${servicepath}"
+ doins "${T}"/nosetsid
)
}
diff --git a/eclass/vala.eclass b/eclass/vala.eclass
index acdf958191eb..20bf00ebd8bc 100644
--- a/eclass/vala.eclass
+++ b/eclass/vala.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: vala.eclass
@@ -6,7 +6,7 @@
# gnome@gentoo.org
# @AUTHOR:
# Alexandre Rostovtsev <tetromino@gentoo.org>
-# @SUPPORTED_EAPIS: 6 7 8
+# @SUPPORTED_EAPIS: 7 8
# @BLURB: Sets up the environment for using a specific version of vala.
# @DESCRIPTION:
# This eclass sets up commonly used environment variables for using a specific
@@ -15,8 +15,7 @@
# executables, pkgconfig files, etc., which Gentoo does not provide.
case ${EAPI} in
- 6|7) inherit eutils multilib ;;
- 8) ;;
+ 7|8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -99,13 +98,11 @@ vala_depend() {
# VALA_MAX_API_VERSION, VALA_MIN_API_VERSION, and VALA_USE_DEPEND.
vala_best_api_version() {
local u v
- local hv_opt="-b"
- [[ ${EAPI} == 6 ]] && hv_opt=""
u=$(_vala_use_depend)
for v in $(vala_api_versions); do
- has_version ${hv_opt} "dev-lang/vala:${v}${u}" && echo "${v}" && return
+ has_version -b "dev-lang/vala:${v}${u}" && echo "${v}" && return
done
}
@@ -121,8 +118,6 @@ vala_best_api_version() {
# version is not available.
vala_setup() {
local p d valafoo version ignore_use
- local hv_opt="-b"
- [[ ${EAPI} == 6 ]] && hv_opt=""
while [[ $1 ]]; do
case $1 in
@@ -141,7 +136,7 @@ vala_setup() {
fi
if [[ ${version} ]]; then
- has_version ${hv_opt} "dev-lang/vala:${version}" || die "No installed vala:${version}"
+ has_version -b "dev-lang/vala:${version}" || die "No installed vala:${version}"
else
version=$(vala_best_api_version)
[[ ${version} ]] || die "No installed vala in $(vala_depend)"
@@ -178,8 +173,8 @@ vala_setup() {
# @FUNCTION: vala_src_prepare
# @DESCRIPTION:
-# For backwards compatibility in EAPIs 6 and 7. Calls vala_setup.
-if [[ ${EAPI} == [67] ]]; then
+# For backwards compatibility in EAPI 7. Calls vala_setup.
+if [[ ${EAPI} == 7 ]]; then
vala_src_prepare() { vala_setup "$@"; }
fi